/*
 * Java
 *
 * Copyright 2018-2022 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package com.microej.training.gpio.example;

import com.microej.training.gpio.Gpio;

/**
 * Example of {@link Gpio} class.
 */
public class BlinkGpio {

	private static final int PIN = 0;
	private static final long DELAY = 500;

	/**
	 * Blinks a GPIO.
	 */
	public static void main(String[] args) throws InterruptedException {
		while (true) {
			Gpio.set(PIN, !Gpio.get(PIN));
			Thread.sleep(DELAY);
		}

	}

}
